function [DERIV_AB] = PROCESS_NUMDIFF(A,B)

dB = B(2)-B(1);
DERIV_AB=zeros(1,length(A));

% First Order
%     for i=1:length(A)-1  
%         dA = A(i+1)-A(i);
%         DERIV_AB(i) = dA/dB;  
%     end
% 
% DERIV_AB(length(DERIV_AB)) = DERIV_AB(length(DERIV_AB)-1);
    
% Second Order
%     for i=2:length(A)-1  
%         dB = B(i+1)-B(i-1);  
%         DERIV_AB(i) = dB/(2*dA);  
%     end
%   
% DERIV_AB(1) = DERIV_AB(2);    
% DERIV_AB(length(DERIV_AB)) = DERIV_AB(length(DERIV_AB)-1);

%Fourth Order
    for i=3:length(A)-2  
        dA = -A(i+2)+8*A(i+1)-8*A(i-1)+A(i-2);  
        DERIV_AB(i) = dA/(12*dB);  
    end
  
DERIV_AB(1:2) = DERIV_AB(3);    
DERIV_AB(length(DERIV_AB)-1:length(DERIV_AB))...
= DERIV_AB(length(DERIV_AB)-2);

end