import numpy as np

def lin_space(start,stop,samples):
    'for when you want to be evenly space in x'
    return np.linspace(start,stop,samples)
def log_space(start,stop,samples):
    'for when you want to be evenly space in log(x)'
    return np.exp(np.linspace( np.log(start),np.log(stop),samples ))
def receprical_space(start,stop,samples):
    'for when you want to be evenly space in 1/x'
    return 1.0/np.linspace(1.0/start,1.0/stop,samples)
def root_space(start,stop,samples):
    'for when you want to be evenly space in x^2'
    return np.sqrt(np.linspace(start**2,stop**2,samples))
def squared_space(start,stop,samples):
    'for when you want to be evenly space in sqrt(x)'
    return np.linspace(np.sqrt(start),np.sqrt(stop),samples)**2

def pairwise(itr):
    itr = iter(itr)
    a = next(itr)
    for v in itr:
        yield a,v
        a = v

def everyn(itr,n):
    itr = iter(itr)
    for v in itr:
        yield(v)
        [next(itr) for el in range(n-1)]

def downsample(x,n):
    return x[::n]

def meandownsample(x,n):
    r = []
    a = 0
    i = 0
    for v in x:
        i+=1
        a+=v
        if i>n:
            r.append(a/i)
            i=0
            a=0
    return np.array(r)

def logmeandownsample(x,n,f):
    r = []
    a = 0
    i = 0
    for v in x:
        i+=1
        a+=v
        if i>n:
            r.append(a/i)
            i=0
            a=0
            n*=1.02
    return np.array(r)